> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/pt/automacao/runbooks/runbook-references/device/general/change-grouptag.md).

# Alterar Grouptag

### Descrição

Este Runbook atribui uma nova AutoPilot GroupTag ao dispositivo. Isto pode ser usado para desencadear uma nova implementação com políticas e aplicações diferentes para o dispositivo.

### Localização

Dispositivo → Geral → Alterar Grouptag

**Nome completo do runbook**

rjgit-device\_general\_change-groupTag

### Detalhes

| Propriedade         | Valor                              |
| ------------------- | ---------------------------------- |
| Versão              | 1.0.1                              |
| Módulos necessários | RealmJoin.RunbookHelper (>= 0.8.9) |
| Agendável           | não                                |

### Permissões

#### Permissões de aplicação

* **Tipo**: Microsoft Graph
  * Device.Read.All
    * *Resolve o dispositivo Entra através de /devices para obter o respetivo nome de apresentação*
  * DeviceManagementServiceConfig.ReadWrite.All
    * *Lê a identidade do Autopilot e define a nova etiqueta de grupo através de updateDeviceProperties*

### Parâmetros

#### DeviceId

O ID do dispositivo de destino.

| Propriedade      | Valor                                           |
| ---------------- | ----------------------------------------------- |
| Obrigatório      | verdadeiro                                      |
| Valor padrão     |                                                 |
| Tipo             | String                                          |
| Oculto no portal | sim (predefinido via personalização do runbook) |

#### newGroupTag

A nova GroupTag do AutoPilot a atribuir ao dispositivo.

| Propriedade  | Valor  |
| ------------ | ------ |
| Obrigatório  | falso  |
| Valor padrão |        |
| Tipo         | String |

[Voltar à visão geral da referência do runbook](/pt/automacao/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.realmjoin.com/pt/automacao/runbooks/runbook-references/device/general/change-grouptag.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
